com.h3c.dist.bus

## Class BusListenerId

- java.lang.Object
- - com.h3c.dist.bus.BusListenerId

- All Implemented Interfaces:
    Serializable

      public class BusListenerId
      extends Object
      implements Serializable

  Applications use `BusListenerId` to share its identity with `Bus`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusListenerId(String appName, String appInstance)` Two argument constructor for BusListenerDetail class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getAppInstance()` Get the listener's instance.
    `String` | `getAppName()` Get the listener's name.
    `int` | `hashCode()`
    `String` | `toString()` Get the listener's identity (in form of "appName:instanceId").

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BusListenerId

          public BusListenerId(String appName,
                       String appInstance)

      Two argument constructor for BusListenerDetail class.
      Parameters:
        `appName` - application name
        `appInstance` - application instance

  - ### Method Detail

    - #### getAppName

          public String getAppName()

      Get the listener's name.
      Returns:
        String listeners identity

    - #### getAppInstance

          public String getAppInstance()

      Get the listener's instance.
      Returns:
        String listener's instance

    - #### toString

          public String toString()

      Get the listener's identity (in form of "appName:instanceId").
      Overrides:
        `toString` in class `Object`
      Returns:
        String listeners identity

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2014. All Rights Reserved.